Subject: bug#19872: 24.4; UTF8 characters of unusual width (Gnus markers)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Feb 2015 05:43:51 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 18 Feb 2015 11:43:26 +1100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't see why would you need to do all that.  First, you already do
> > these calculations, to know how many blanks to insert, right?  So you
> > already know whether a string is too long, at least in terms of
> > characters, right?  And :align-to can work in character units as well
> > as in pixels.
> 
> Well, the problem here is that some fonts are wider than others.  If
> Gnus says "this should be 20 characters wide", then if some of the
> glyphs are wider than the normal 20 characters, then things won't line
> up any more.

AFAIR, :align-to works in units of canonical character width, so this
problem does not exist.

> > And second, AFAIU you are talking about an additional feature.  The OP
> > presented a use case where no string is too long, AFAICT.  So it would
> > get you bonus points to handle long strings as well, but that's not
> > what this bug report is about: the same problem exists with the
> > current "alignment" using whitespace, right?
> 
> Gnus truncates the strings if they're too long and inserts spaces if
> they're too short.

Then I think you already have everything in place, just replace
insertion of blanks with a :align-to display property.